Skip to content
Start here

Delete Silence

client.Alerting.Silences.Delete(ctx, silenceID, body) (*SilenceDeleteResponse, error)
DELETE/accounts/{account_id}/alerting/v3/silences/{silence_id}

Deletes an existing silence for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
silenceID string

Silence ID

maxLength32
body SilenceDeleteParams
AccountID param.Field[string]

The account id

maxLength32
ReturnsExpand Collapse
type SilenceDeleteResponse struct{…}
Errors []SilenceDeleteResponseError
Message string
Code int64optional
minimum1000
Messages []SilenceDeleteResponseMessage
Message string
Code int64optional
minimum1000
Success SilenceDeleteResponseSuccess

Whether the API call was successful

Delete Silence

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  silence, err := client.Alerting.Silences.Delete(
    context.TODO(),
    "f878e90c23f44126ae3cfc399f646977",
    alerting.SilenceDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", silence.Errors)
}
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}